Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.net.ftp.parser
Class NetwareFTPEntryParser

    java.lang.Object
      org.apache.commons.net.ftp.FTPFileEntryParserImpl
          org.apache.commons.net.ftp.parser.RegexFTPFileEntryParserImpl
              org.apache.commons.net.ftp.parser.ConfigurableFTPFileEntryParserImpl
                  org.apache.commons.net.ftp.parser.NetwareFTPEntryParser

All Implemented Interfaces:
  Configurable, FTPFileEntryParser

    public class NetwareFTPEntryParser

extends ConfigurableFTPFileEntryParserImpl

Implementation of FTPFileEntryParser and FTPFileListParser for Netware Systems. Note that some of the proprietary extensions for Novell-specific operations are not supported. See http://www.novell.com/documentation/nw65/index.html?page=/documentation/nw65/ftp_enu/data/fbhbgcfa.html for more details.

Since:
  1.5
Version:
  $Id: NetwareFTPEntryParser.java 1081476 2011-03-14 17:09:59Z sebb $
Author:
  Rory Winston
See Also:
  `FTPFileEntryParser (for usage instructions)`

Field Summary

Fields inherited from class org.apache.commons.net.ftp.parser.RegexFTPFileEntryParserImpl
`_matcher_`

Constructor Summary
`NetwareFTPEntryParser()` The default constructor for a NetwareFTPEntryParser object.
`NetwareFTPEntryParser(FTPClientConfig config)` This constructor allows the creation of an NetwareFTPEntryParser object with something other than the default configuration.

Method Summary
`protected FTPClientConfig` | `getDefaultConfiguration()` Defines a default configuration to be used when this class is instantiated without a `FTPClientConfig` parameter being specified.
`FTPFile` | `parseFTPEntry(String entry)` Parses a line of an NetwareFTP server file listing and converts it into a usable format in the form of an `FTPFile` instance.

Methods inherited from class org.apache.commons.net.ftp.parser.ConfigurableFTPFileEntryParserImpl
`configure, parseTimestamp`

Methods inherited from class org.apache.commons.net.ftp.parser.RegexFTPFileEntryParserImpl
`getGroupCnt, getGroupsAsString, group, matches, setRegex`

Methods inherited from class org.apache.commons.net.ftp.FTPFileEntryParserImpl
`preParse, readNextEntry`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NetwareFTPEntryParser

    public NetwareFTPEntryParser()

  The default constructor for a NetwareFTPEntryParser object.

  Throws:
    `IllegalArgumentException` - Thrown if the regular expression is unparseable. Should not be seen under normal conditions. It it is seen, this is a sign that `REGEX` is not a valid regular expression.

### NetwareFTPEntryParser

    public NetwareFTPEntryParser(FTPClientConfig config)

  This constructor allows the creation of an NetwareFTPEntryParser object with something other than the default configuration.

  Parameters:
    `config` - The `configuration` object used to configure this parser.
  Throws:
    `IllegalArgumentException` - Thrown if the regular expression is unparseable. Should not be seen under normal conditions. It it is seen, this is a sign that `REGEX` is not a valid regular expression.
  Since:
    1.4

Method Detail

### parseFTPEntry

    public FTPFile parseFTPEntry(String entry)

  Parses a line of an NetwareFTP server file listing and converts it into a usable format in the form of an `FTPFile` instance. If the file listing line doesn't describe a file, `null` is returned, otherwise a `FTPFile` instance representing the files in the directory is returned.

  Netware file permissions are in the following format: RWCEAFMS, and are explained as follows:

  - S - Supervisor; All rights.
  - R - Read; Right to open and read or execute.
  - W - Write; Right to open and modify.
  - C - Create; Right to create; when assigned to a file, allows a deleted file to be recovered.
  - E - Erase; Right to delete.
  - M - Modify; Right to rename a file and to change attributes.
  - F - File Scan; Right to see directory or file listings.
  - A - Access Control; Right to modify trustee assignments and the Inherited Rights Mask.
  See here for more details

  Parameters:
    `entry` - A line of text from the file listing
  Returns:
    An FTPFile instance corresponding to the supplied entry

### getDefaultConfiguration

    protected FTPClientConfig getDefaultConfiguration()

  Defines a default configuration to be used when this class is instantiated without a `FTPClientConfig` parameter being specified.

  Specified by:
    `getDefaultConfiguration` in class `ConfigurableFTPFileEntryParserImpl`
  Returns:
    the default configuration for this parser.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 The Apache Software Foundation. All Rights Reserved.